Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ServerStates

All Known Subinterfaces:
  ServerRuntimeMBean

public interface ServerStates

This interface defines the lifecycle states that a server can be in.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `ACTIVATE_LATER` Indicates that MaxRestart restart attempts have been made in current RestartInterval, and Node Manager will attempt additional restarts .
`static java.lang.String` | `FAILED` A critical subsystem is not functioning.
`static java.lang.String` | `FAILED_NOT_RESTARTABLE` Indicates that the Managed Server has failed or was killed by Node Manager as a result of the Managed Server's AutoKillIfFailed attribute being set to True, but Node Manager cannot restart the Managed Server because its AutoRestart attribute is set to False.
`static java.lang.String` | `FAILED_RESTARTING` Indicates that Node Manager is currently restarting a failed Managed Server
`static java.lang.String` | `RESUMING` The server is transitioning from the `STANDBY` state to `RUNNING`.
`static java.lang.String` | `RUNNING` The server can receive and process requests from external clients as well as administrative requests.
`static java.lang.String` | `SHUTDOWN` The server is configured but inactive.
`static java.lang.String` | `SHUTDOWN_IN_PROCESS` Deprecated.
`static java.lang.String` | `SHUTDOWN_PENDING` Deprecated.
`static java.lang.String` | `SHUTTING_DOWN` The server is transitioning from either the `RUNNING` or `STANDBY` state to `SHUTDOWN`.
`static java.lang.String` | `STANDBY` The server can receive and process only administrative requests.
`static java.lang.String` | `STARTING` The server is initializing all it's subsystems.
`static java.lang.String` | `SUSPENDING` The server is transitioning from either the `SHUTDOWN` or `RUNNING` state to `STANDBY`.
`static java.lang.String` | `UNKNOWN` The state of the server cannot be determined, perhaps because it cannot be contacted.

Field Detail

### SHUTDOWN

    public static final java.lang.String SHUTDOWN

  The server is configured but inactive.

### STARTING

    public static final java.lang.String STARTING

  The server is initializing all it's subsystems. It is not ready to receive or process requests. Once the server is initialized it will either go into `STANDBY` or `RUNNING` mode depending on the startup option given.

### RUNNING

    public static final java.lang.String RUNNING

  The server can receive and process requests from external clients as well as administrative requests.

### STANDBY

    public static final java.lang.String STANDBY

  The server can receive and process only administrative requests. It ignores any requests from external clients.

### SUSPENDING

    public static final java.lang.String SUSPENDING

  The server is transitioning from either the `SHUTDOWN` or `RUNNING` state to `STANDBY`.

### RESUMING

    public static final java.lang.String RESUMING

  The server is transitioning from the `STANDBY` state to `RUNNING`.

### SHUTTING_DOWN

    public static final java.lang.String SHUTTING_DOWN

  The server is transitioning from either the `RUNNING` or `STANDBY` state to `SHUTDOWN`.

### FAILED

    public static final java.lang.String FAILED

  A critical subsystem is not functioning. You must restart the server to recover from this state.

### SHUTDOWN_PENDING

    public static final java.lang.String SHUTDOWN_PENDING

  Deprecated.
  The server is waiting for a specified time before starting shutdown. This state is deprecated since 7.0 release.

### SHUTDOWN_IN_PROCESS

    public static final java.lang.String SHUTDOWN_IN_PROCESS

  Deprecated.
  The server is waiting for a specified time before starting shutdown. This state is deprecated since 7.0 release.

### UNKNOWN

    public static final java.lang.String UNKNOWN

  The state of the server cannot be determined, perhaps because it cannot be contacted.

### FAILED_RESTARTING

    public static final java.lang.String FAILED_RESTARTING

  Indicates that Node Manager is currently restarting a failed Managed Server

### ACTIVATE_LATER

    public static final java.lang.String ACTIVATE_LATER

  Indicates that MaxRestart restart attempts have been made in current RestartInterval, and Node Manager will attempt additional restarts .

### FAILED_NOT_RESTARTABLE

    public static final java.lang.String FAILED_NOT_RESTARTABLE

  Indicates that the Managed Server has failed or was killed by Node Manager as a result of the Managed Server's AutoKillIfFailed attribute being set to True, but Node Manager cannot restart the Managed Server because its AutoRestart attribute is set to False.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD